[arch-dev-public] Updated perl 5.10.0

Jan de Groot jan at jgc.homeip.net
Wed Jan 9 07:02:24 EST 2008

> -----Oorspronkelijk bericht-----
> Van: arch-dev-public-bounces at archlinux.org [mailto:arch-dev-public-
> bounces at archlinux.org] Namens K. Piche
> Verzonden: woensdag 9 januari 2008 5:27
> Aan: Public mailing list for ArchLinux development
> Onderwerp: Re: [arch-dev-public] Updated perl 5.10.0

> There can be three different versions of a perl module co-existing
> without file conflicts (well except for man pages, shh!).  It's
> basically like the $PATH variable but in perl it's called @INC.  So
> when
> I say "updated" I mean that a package or CPAN-installed module are in
> the PATH before the perl package's modules.
> Hope that made sense.

In the ideal world we would have versioned conficts and replaces options
available in PKGBUILD.
This means that perl with an included package can replace an installed perl
package which is below or at the version included in perl.

Maybe something for pacman 3.2?

More information about the arch-dev-public mailing list